--[[
-- ------------------------------------------------
-- CREATE AN INSTANCE OF THE GESTURES CLASS
-- ------------------------------------------------
	options (optional):		
		- minDistance (int : default -> 100). The minimum distance to take swipes into consideration.
		- maxDuration (float : default -> 0.5). The maximum duration to take swipes into consideration.
]]--
local options = {minDistance = 100, maxDuration = 0.5}
local gestures = Gestures.new(stage, options)


--[[
-- ------------------------------------------------
-- ADD SWIPE CALLBACKS
-- ------------------------------------------------
Accepted : 	onSwipeUp, onSwipeDown, onSwipeLeft, onSwipeRight, onSwipeUpLeft, onSwipeUpRight, onSwipeDownLeft, onSwipeRight	
Note : 		Uncomment below to overwrite the default callbacks
-----------------------------
]]-- 
gestures:addCallback("onSwipeUp", function(swipe, event, options) print ("Custom", "["..swipe.."]") end)
--gestures:addCallback("onSwipeDown", function(swipe, event, options) print ("Custom", "["..swipe.."]") end)
--gestures:addCallback("onSwipeLeft", function(swipe, event, options) print ("Custom", "["..swipe.."]") end)
--gestures:addCallback("onSwipeRight", function(swipe, event, options) print ("Custom", "["..swipe.."]") end)


--[[
-- ------------------------------------------------
-- ADD TOUCHES CALLBACKS
-- ------------------------------------------------
Accepted : 	touchesBegin, touchesMove, touchesEnd
Note : 		Uncomment below to overwrite the default callbacks
-----------------------------
]]--
--gestures:addCallback("touchesBegin", function(type, event, options) print ("On Touches Move >", event:getType(), "["..event.touch.x..":"..event.touch.y.."]") end)
--gestures:addCallback("touchesMove", function(type, event, options) print ("On Touches Move >", event:getType(), "["..event.touch.x..":"..event.touch.y.."]") end)
gestures:addCallback("touchesEnd", function(type, event, options) print ("", "On Touches End >", event:getType(), "["..event.touch.x..":"..event.touch.y.."]") end)

--[[

-- ------------------------------------------------
-- MORE
-- ------------------------------------------------
-- Set gestures to inactive
gestures:setActive(false)
 
-- Check if gestures are active
gestures:isActive()
 
-- Remove all Callbacks
gestures:removeCallbacks()
 
 
-- Get all Callbacks
gestures:getCallbacks()
 
 
-- Remove callbacks
gestures:removeCallback("touchesBegin")
 
-- Free gestures
gestures:free()
 
]]--